# KDChartAbstractThreeDAttributes.h File Reference

`#include <QMetaType>`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartAbstractThreeDAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::AbstractThreeDAttributes &)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::AbstractThreeDAttributes & |
| ) |

Definition at line 116 of file KDChartAbstractThreeDAttributes.cpp.

References KDChart::AbstractThreeDAttributes::depth(), and KDChart::AbstractThreeDAttributes::isEnabled().

    00117 {
    00118     dbg << "enabled="<<a.isEnabled()
    00119         << "depth="<<a.depth();
    00120     return dbg;
    00121 }